org.eclipse.jetty.websocket

## Class WebSocketBuffers

- java.lang.Object
- - org.eclipse.jetty.websocket.WebSocketBuffers

-     public class WebSocketBuffers
      extends Object

  The WebSocket Buffer Pool. The normal buffers are byte array buffers so that user processes can access directly. However the generator uses direct buffers for the final output stage as they are filled in bulk and are more efficient to flush.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketBuffers(int bufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `getBuffer()`
    `int` | `getBufferSize()`
    `Buffer` | `getDirectBuffer()`
    `void` | `returnBuffer(Buffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketBuffers

          public WebSocketBuffers(int bufferSize)

  - ### Method Detail

    - #### getBuffer

          public Buffer getBuffer()

    - #### getDirectBuffer

          public Buffer getDirectBuffer()

    - #### returnBuffer

          public void returnBuffer(Buffer buffer)

    - #### getBufferSize

          public int getBufferSize()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.